summaryrefslogtreecommitdiff
path: root/tests/install/basic-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-05-09 19:56:14 +0000
committerJim Meyering <jim@meyering.net>1998-05-09 19:56:14 +0000
commitc7b3d3e91b5d99e12570ab7d55cd637ad3ab38a5 (patch)
tree62488c68c192888aa6598edc0bf9d7523a7e0241 /tests/install/basic-1
parent60c1207b742065b060ad9c3101eb99c3dbcdd838 (diff)
downloadcoreutils-c7b3d3e91b5d99e12570ab7d55cd637ad3ab38a5.tar.xz
.
Diffstat (limited to 'tests/install/basic-1')
-rwxr-xr-xtests/install/basic-130
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
new file mode 100755
index 000000000..40dda31d0
--- /dev/null
+++ b/tests/install/basic-1
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+: ${MKDIR=mkdir}
+: ${RM=rm}
+: ${INSTALL=install}
+
+dir=dir
+file=file
+
+framework_failure=0
+
+$RM -rf $dir $file || framework_failure=1
+$MKDIR -p $dir || framework_failure=1
+echo foo > $file || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+$INSTALL $file $dir || fail=1
+# Make sure the source file still exists.
+test -f $file || fail=1
+# Make sure the dest file has been created.
+test -f $dir/$file || fail=1
+
+$RM -rf $dir $file
+
+exit $fail